---
title: StylePropertyMapReadOnly.has()
slug: Web/API/StylePropertyMapReadOnly/has
tags:
  - API
  - CSS Typed Object Model API
  - Experimental
  - Houdini
  - Method
  - Reference
  - StylePropertyMapReadOnly
  - has()
---
<p>{{APIRef("CSS Typed Object Model API")}}{{SeeCompatTable}}</p>

<p>The <strong><code>has()</code></strong> method of the {{domxref("StylePropertyMapReadOnly")}} interface indicates whether the specified property is in the <code>StylePropertyMapReadOnly</code> object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>boolean</var> = StylePropertyMapReadOnly.has(<var>property</var>)</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>property</dt>
 <dd>The name of a property.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>A {{jsxref("boolean")}}.</p>

<h2 id="Example">Example</h2>

<p>Here we use the <code>has()</code> method to see if the padding-top property is present within the button elements style attribute.</p>

<pre class="brush: js notranslate">// get the button element
const buttonEl = document.querySelector('.example');

// find what's in the style attribute with attributeStyleMap and has()
const hasPadTop = buttonEl.attributeStyleMap.has('padding-top);

console.log(hasPadTop); // logs true if padding-top is present in style attribute
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('CSS Typed OM','#dom-stylepropertymapreadonly-has','has()')}}</td>
   <td>{{Spec2('CSS Typed OM')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.StylePropertyMapReadOnly.has")}}</p>
